using System;

namespace FB.WinForms.Controls
{
	/// <summary>
	/// Specifies HTML tags and thier names.
	/// </summary>
	internal enum ElementType
	{
		/// <summary>
		/// Any other tag not specifically listed below.
		/// </summary>
		Other,

		/// <summary>
		/// A tag
		/// </summary>
		[Tag("a")]			Anchor,

		/// <summary>
		/// B tag
		/// </summary>
		[Tag("b")]			Bold,

		/// <summary>
		/// Brush tag
		/// </summary>
		[Tag("brush")]		Brush,

		/// <summary>
		/// FONT tag
		/// </summary>
		[Tag("font")]		Font,

		/// <summary>
		/// I tag
		/// </summary>
		[Tag("i")]			Italic,

		/// <summary>
		/// IMG tag
		/// </summary>
		[Tag("img")]		Image,

		/// <summary>
		/// S tag
		/// </summary>
		[Tag("s")]			Strikeout,

		/// <summary>
		/// U tag
		/// </summary>
		[Tag("u")]			Underline
	}
}
