using System;

namespace FB.WinForms.Controls
{
	/// <summary>
	/// Specifies the write method used in the replace methods.
	/// </summary>
	internal enum WriteMethod
	{
		/// <summary>
		/// Specifies the string should be written out as text, see <see cref="System.Xml.XmlTextWriter.WriteString"/>.
		/// </summary>
		WriteString, 

		/// <summary>
		/// Specified the string should be written out as HTML, see <see cref="System.Xml.XmlTextWriter.WriteRaw"/>.
		/// </summary>
		WriteHtml
	}
}
